version: '3.3'

services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
    command: gunicorn app.wsgi:application --bind 0.0.0.0:8010
    volumes:
      - static_volume:/app/staticfiles
      - media_volume:/app/mediafiles
    expose:
      - 8010
    env_file: .env
    depends_on:
      - db
  nginx:
    build: ./nginx
    volumes:
      - static_volume:/app/staticfiles
      - media_volume:/app/mediafiles
    ports:
      - 80:80
    depends_on:
      - web
  db:
    image: postgres:11.2-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file: .env.db

volumes:
  postgres_data:
  static_volume:
  media_volume:
